Kerbal Space Program - Bug #2024

Monitor turns off after X seconds of gameplay.
01/07/2014 04:26 PM - obaeyens

Status: Not a Bug Start date: 01/07/2014
Severity: High % Done: 0%
Assignee:

Category: Camera

Target version:

Version: 0.23 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

It started with v0.22 and now 0.23 too.
At a certain time of game-play my monitor just turns off and all | can do is press the power button 10 seonds to force the computer to
power off. The computer does not automatically shit down when | press the power button 1 second.

Intel processor, 64 Bit windows, and probably 4 GB memory.
Intel processor 2.79 GHz, 4 cores 8 logical processors.

So far | have no real situation why it happens.
| do have the impression that it is after X seconds (60-240 seconds) into the gameplay when | launched.

| have a Windows 8.0
GForce GTS 240 (v311.06)

No other game has this issue only KSP starting from 0.22. (No mods)

| listened when the music keeps on running. | have the impression that the music stops a few second later.
The keyboard does not seem to respond, the monitor LED clearly turns off 1 second after the black screen.

If I can find out more | will post more details but so far | have no clue how to reproduce it.
So far only x seconds into the launch.

History

#1 - 01/08/2014 04:13 PM - TruePikachu
| highly doubt the issue is with KSP, if your monitor is going into standby.

#2 - 01/08/2014 04:23 PM - obaeyens

On the contrary it is the only application that has this effect.
No other game or application shuts down my display, no matter how fast | make it run.

However the monitor might shut down because of a result that terminates the video out signal.
And in turn the monitor decide to safe energy to shut the monitor down because there is no video signal any-more.

| only have one monitor, so it is not that a monitor signal is swapped to a different monitor.
It clearly started with v0.22 and now 0.23, 0.18 did not have this issue.

I did not have time yet to determine the cause, since all | can do is terminate the power from my computer to reboot. Pressing the physical power
button that normally initiates a shutdown of Windows seems not to do anything anymore. Maybe the whole computer just froze.

#3 - 01/08/2014 04:33 PM - Mu

When it happens, does the numlock light stop responding to pressing numlock?

#4 - 01/08/2014 04:34 PM - TruePikachu

Are the video drivers up-to-date?

A software application in userspace, I'm pretty sure, doesn't have the needed privliges to terminate the video out.
Unless MS changed it, the next time it happens, press SUPER+L, where SUPER is the key most commonly indicated with the Windows flag. If you
hear the switching-user sound, the system isn't getting locked up. If the graphics don't return at the login screen, it is NOT a KSP-based issue.

| might also recommend running in a window.

Right now, I'm tempted to state it is a dupe of #1836.

#5 - 01/09/2014 08:43 AM - Ted

Could you use software such as MSI Afterburner to check your GPU temperatures during KSP gameplay?

#6 - 01/09/2014 04:11 PM - Hamster

If you use it in full screen mode, then | would say that maybe the game switch to a resolution/frequency what the monitor is not supporting, so it switch
itself off.
As a first step | would say try to run it in windowed mode.

#7 - 01/09/2014 07:44 PM - TruePikachu

Hamster wrote:

If you use it in full screen mode, then | would say that maybe the game switch to a resolution/frequency what the monitor is not supporting, so it
switch itself off.
As a first step | would say try to run it in windowed mode.

Just to note, all the displays I've used report visually if they get put into an "invalid" frequency. This includes an old Dell CRT, a Compag CRT, an
eMachines CRT, a couple of HP LCDs, but not the LCD in my laptop (due to Windows understanding the resolution it has, and me not being able to
force a bad signal over a video line). This actually also includes several TVs and projectors (when using a VGA line).

If you are at all curious as to how | force a bad signal, it involves using a microcontroller to make a video signal.
In any case, a display should report about a bad resolution.

Usefully, as of Windows XP (I haven't tested 7, due to me keeping my laptop at the full 1366x768), Windows looks to have a systemwide resolution
(used on the login screen), as well as the per-account resolutions. In theory, if the game is just giving a bad resolution (which wouldn't result in sound
stopping), the Super+L "Switch User"/"Lock" KB shortcut would switch to the systemwide resolution.

In any case, we need more information.

#8 - 01/10/2014 11:49 AM - obaeyens

| will try to find some more time to find how to simulate it.
But | can tell you follow things.

It is only KSP no other game gives this issue no matter how the GPU is loaded.

It is on Windows 8.0 64 bit.

Itis in a windowed frame, not full frame.

The shut down of the monitor might not be a GPU related but maybe something is halting the CPU or crash windows
--> Music stops, power button does not shut down Windows, the keyboard seems not to do anything anymore.

--> Effect is the screen gets completely black, and the screen LED changes from white to orange.

So far | appeared to have it when | am de-orbitting and almost at ground level.
However last time | got is was when | got into orbit. Suggesting that it is time related.

It is interesting that | appear to be the only one that has this issue.
However | doubt that it is a temperature problem, or a hardware related issue.

If there are any tracing options that | can activate please tell me.

#9 - 01/10/2014 06:12 PM - obaeyens

Super+L has no effect, keyboard light also does not alternate when | press shift and num lock.
| do hear the music from KSP.

The test screen is the screen where you can select buildings. | am not testing with a real launch.
Low res, max dimensions and max res low dimensions gives the black screen after about 2-5 minutes.
Low res and low dimension appears to make KSP run way longer but eventually also turns in a black screen.

The GPU ventilator sound like average speed. Now where near the max speed when | stress it with any other game.

The problem is only in KSP. | do not recall it ever seen it with v0.18 where | maxed the settings for many hours in a
row.

Drivers, windows all updated to the latest drivers.
| have a strong hunch that you you have a resource leak but | do not have the tools to test this.
Normal CPU speed stays constant, and CPU memory too.

| will try this MSI afterburner. (Never used it)

#10 - 01/10/2014 06:35 PM - obaeyens
- File HardwareMonitoring.hml added

| found a way to use MSI afterburner.
Log see attachment.

The maximum temperature was 115 degrees.
Then the black screen happened.

So probably temperature related.
But how is it possible that of all games only KSP is having this effect?

#11 - 01/10/2014 08:23 PM - TruePikachu
Note that temperature is in C. Your card is definitly overheating. Try lowering your graphical settings, improving airflow, or getting a new GPU.
Problem isn't KSP itself, it's just that KSP has been using the GPU the most
#12 - 01/10/2014 08:42 PM - obaeyens
TruePikachu wrote:
Note that temperature is in C. Your card is definitly overheating. Try lowering your graphical settings, improving airflow, or getting a new GPU.
Problem isn't KSP itself, it's just that KSP has been using the GPU the most
| am already at minimal settings.
So for me this means no more KSP since it is overheating and at this moment no money to upgrade the computer.
Unless | get the 0.18 back, that one was working in the highest settings.
But thanks anyway. KSP is really great. :-)
#13 - 01/10/2014 11:05 PM - TruePikachu
So you are aware, there are a number of things you could do to try to mitigate the problem:
e Check that the vents on the back and/or side of the computer are not obstructed
¢ Clean the dust from the inside of the case, especially around fans

e If it is sufficiently cool in your enviornment, and you are careful, it might be possible to run your system with the case open. * A desk or window
fan could help circulate air

Also, a quick search online reveals http://preview.tinyurl.com/mw5gfvh (nVidia's domain), which might help with your specific card. Also see
http://www.youtube.com/watch?v=sjfjnuiCf04 , which explains how to clean the dust from the fan on your GTS240 (while the log indicates that the fan
speed went to maximum, | surmise that it only shows what the system is trying to do with the fan, and doesn't report the actual fan preformance)

#14 - 01/13/2014 10:06 AM - Ted
- Status changed from New to Not a Bug
- % Done changed from 0 to 100

Ah, well that makes sense then. 115C is very hot indeed.

| would take TruePikachu's excellent advice and give your computer a good ol' spring clean. These things are more often than not a dusty fan as
opposed to a broken card.

Marking as not a bug, thanks for following this one up!

Files

HardwareMonitoring.hml 93.6 KB 01/10/2014 obaeyens
